Index: code/branches/input/visual_studio/audio_properties.vsprops
===================================================================
--- code/branches/input/visual_studio/audio_properties.vsprops	(revision 1546)
+++ code/branches/input/visual_studio/audio_properties.vsprops	(revision 1629)
@@ -13,5 +13,5 @@
 	<Tool
 		Name="VCLinkerTool"
-		AdditionalDependencies="libvorbisfile$(CSS).lib alut$(CS).lib OpenAL32$(CS).lib"
+		AdditionalDependencies="libvorbisfile-1.2.0$(CSS).lib alut$(CS).lib OpenAL32$(CS).lib"
 	/>
 </VisualStudioPropertySheet>
Index: code/branches/input/visual_studio/base_properties.vsprops
===================================================================
--- code/branches/input/visual_studio/base_properties.vsprops	(revision 1546)
+++ code/branches/input/visual_studio/base_properties.vsprops	(revision 1629)
@@ -8,5 +8,5 @@
 	<Tool
 		Name="VCCLCompilerTool"
-		AdditionalIncludeDirectories="&quot;$(RootDir)src&quot;;&quot;$(RootDir)src\orxonox&quot;;&quot;$(RootDir)src\tolua&quot;;&quot;$(RootDir)src\ois&quot;;&quot;$(DependencyDir)include&quot;"
+		AdditionalIncludeDirectories="&quot;$(RootDir)&quot;;&quot;$(RootDir)src&quot;;&quot;$(RootDir)src\orxonox&quot;;&quot;$(RootDir)src\tolua&quot;;&quot;$(RootDir)src\ois&quot;;&quot;$(LibDir)ogre-1.4.8\OgreMain\include&quot;;&quot;$(LibDir)boost-1.35.0&quot;;&quot;$(LibDir)enet-1.2\include&quot;;&quot;$(LibDir)libogg-1.1.3\include&quot;;&quot;$(LibDir)libvorbis-1.2.0\include&quot;;&quot;$(LibDir)lua-5.1.3\src&quot;;&quot;$(LibDir)openal-1.1\include&quot;;&quot;$(LibDir)openal-1.1\alut\include&quot;;&quot;$(LibDir)tcl-8.5.\generic&quot;;&quot;$(LibDir)zlib-1.2.3&quot;"
 		PreprocessorDefinitions="WIN32;__WIN32__;_WIN32;BOOST_ALL_DYN_LINK;OIS_DYNAMIC_LIB; ZLIB_WINAPI"
 		WarningLevel="3"
@@ -33,5 +33,5 @@
 	<UserMacro
 		Name="DependencyDir"
-		Value="$(RootDir)..\dependencies\"
+		Value="$(RootDir)..\lib_precompiled\"
 	/>
 	<UserMacro
@@ -43,3 +43,11 @@
 		Value=""
 	/>
+	<UserMacro
+		Name="LibDir"
+		Value="$(RootDir)..\lib_src\"
+	/>
+	<UserMacro
+		Name="libOgre"
+		Value="OgreMain$(CS).lib"
+	/>
 </VisualStudioPropertySheet>
Index: code/branches/input/visual_studio/base_properties_release.vsprops
===================================================================
--- code/branches/input/visual_studio/base_properties_release.vsprops	(revision 1546)
+++ code/branches/input/visual_studio/base_properties_release.vsprops	(revision 1629)
@@ -9,5 +9,4 @@
 		Name="VCCLCompilerTool"
 		Optimization="2"
-		WholeProgramOptimization="false"
 		PreprocessorDefinitions="NDEBUG"
 		RuntimeLibrary="2"
Index: code/branches/input/visual_studio/core_properties.vsprops
===================================================================
--- code/branches/input/visual_studio/core_properties.vsprops	(revision 1546)
+++ code/branches/input/visual_studio/core_properties.vsprops	(revision 1629)
@@ -12,5 +12,5 @@
 	<Tool
 		Name="VCLinkerTool"
-		AdditionalDependencies="OgreMain$(CSS).lib lua-5.1$(CS).lib tcl85t.lib"
+		AdditionalDependencies="OgreMain$(CSS).lib lua-5.1.3$(CS).lib tcl85t.lib"
 	/>
 </VisualStudioPropertySheet>
Index: code/branches/input/visual_studio/orxonox_properties.vsprops
===================================================================
--- code/branches/input/visual_studio/orxonox_properties.vsprops	(revision 1546)
+++ code/branches/input/visual_studio/orxonox_properties.vsprops	(revision 1629)
@@ -14,5 +14,5 @@
 	<Tool
 		Name="VCLinkerTool"
-		AdditionalDependencies="OgreMain$(CSS).lib tcl85t.lib enet$(CS).lib zlib$(CS).lib"
+		AdditionalDependencies="OgreMain$(CSS).lib tcl85t.lib enet-1.2$(CS).lib zlib-1.2.3$(CS).lib"
 		OutputFile="$(OutDir)$(ProjectName)$(CS).exe"
 		IgnoreDefaultLibraryNames="LIBCMT;LIBCMTD"
Index: code/branches/input/visual_studio/vc8/audio.vcproj
===================================================================
--- code/branches/input/visual_studio/vc8/audio.vcproj	(revision 1546)
+++ code/branches/input/visual_studio/vc8/audio.vcproj	(revision 1629)
@@ -82,5 +82,5 @@
 			InheritedPropertySheets="$(SolutionDir)base_properties_release.vsprops;..\audio_properties.vsprops"
 			CharacterSet="1"
-			WholeProgramOptimization="1"
+			WholeProgramOptimization="0"
 			>
 			<Tool
Index: code/branches/input/visual_studio/vc8/core.vcproj
===================================================================
--- code/branches/input/visual_studio/vc8/core.vcproj	(revision 1546)
+++ code/branches/input/visual_studio/vc8/core.vcproj	(revision 1629)
@@ -82,5 +82,5 @@
 			InheritedPropertySheets="$(SolutionDir)base_properties_release.vsprops;..\core_properties.vsprops"
 			CharacterSet="1"
-			WholeProgramOptimization="1"
+			WholeProgramOptimization="0"
 			>
 			<Tool
Index: code/branches/input/visual_studio/vc8/cpptcl.vcproj
===================================================================
--- code/branches/input/visual_studio/vc8/cpptcl.vcproj	(revision 1546)
+++ code/branches/input/visual_studio/vc8/cpptcl.vcproj	(revision 1629)
@@ -73,5 +73,5 @@
 			InheritedPropertySheets="$(SolutionDir)base_properties_release.vsprops;..\cpptcl_properties.vsprops"
 			CharacterSet="1"
-			WholeProgramOptimization="1"
+			WholeProgramOptimization="0"
 			>
 			<Tool
Index: code/branches/input/visual_studio/vc8/network.vcproj
===================================================================
--- code/branches/input/visual_studio/vc8/network.vcproj	(revision 1546)
+++ code/branches/input/visual_studio/vc8/network.vcproj	(revision 1629)
@@ -73,5 +73,5 @@
 			InheritedPropertySheets="$(SolutionDir)base_properties_release.vsprops;..\network_properties.vsprops"
 			CharacterSet="1"
-			WholeProgramOptimization="1"
+			WholeProgramOptimization="0"
 			>
 			<Tool
Index: code/branches/input/visual_studio/vc8/ois.vcproj
===================================================================
--- code/branches/input/visual_studio/vc8/ois.vcproj	(revision 1546)
+++ code/branches/input/visual_studio/vc8/ois.vcproj	(revision 1629)
@@ -24,4 +24,5 @@
 			InheritedPropertySheets="..\directory_properties.vsprops"
 			CharacterSet="2"
+			WholeProgramOptimization="0"
 			>
 			<Tool
@@ -76,5 +77,4 @@
 				EnableCOMDATFolding="2"
 				OptimizeForWindows98="1"
-				LinkTimeCodeGeneration="1"
 				ImportLibrary="$(RootDir)lib\$(TargetName).lib"
 			/>
Index: code/branches/input/visual_studio/vc8/orxonox.vcproj
===================================================================
--- code/branches/input/visual_studio/vc8/orxonox.vcproj	(revision 1546)
+++ code/branches/input/visual_studio/vc8/orxonox.vcproj	(revision 1629)
@@ -84,5 +84,5 @@
 			InheritedPropertySheets="$(SolutionDir)base_properties_release.vsprops;..\orxonox_properties.vsprops"
 			CharacterSet="1"
-			WholeProgramOptimization="1"
+			WholeProgramOptimization="0"
 			>
 			<Tool
@@ -185,31 +185,37 @@
 			</File>
 			<File
+				RelativePath="..\..\src\orxonox\Radar.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\orxonox\RadarListener.cc"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\orxonox\RadarViewable.cc"
+				>
+				<FileConfiguration
+					Name="Debug|Win32"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+						ObjectFile="$(IntDir)\$(InputName)1.obj"
+						XMLDocumentationFileName="$(IntDir)\$(InputName)1.xdc"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+						ObjectFile="$(IntDir)\$(InputName)1.obj"
+						XMLDocumentationFileName="$(IntDir)\$(InputName)1.xdc"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
 				RelativePath="..\..\src\orxonox\Settings.cc"
 				>
 			</File>
-			<Filter
-				Name="hud"
-				>
-				<File
-					RelativePath="..\..\src\orxonox\hud\BarOverlayElement.cc"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\orxonox\hud\HUD.cc"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\orxonox\hud\Navigation.cc"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\orxonox\hud\RadarObject.cc"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\orxonox\hud\RadarOverlayElement.cc"
-					>
-				</File>
-			</Filter>
 			<Filter
 				Name="objects"
@@ -220,4 +226,12 @@
 				</File>
 				<File
+					RelativePath="..\..\src\orxonox\objects\Backlight.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\orxonox\objects\BillboardProjectile.cc"
+					>
+				</File>
+				<File
 					RelativePath="..\..\src\orxonox\objects\Camera.cc"
 					>
@@ -228,8 +242,4 @@
 				</File>
 				<File
-					RelativePath="..\..\src\orxonox\objects\Explosion.cc"
-					>
-				</File>
-				<File
 					RelativePath="..\..\src\orxonox\objects\Model.cc"
 					>
@@ -237,4 +247,12 @@
 				<File
 					RelativePath="..\..\src\orxonox\objects\NPC.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\orxonox\objects\ParticleProjectile.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\orxonox\objects\ParticleSpawner.cc"
 					>
 				</File>
@@ -393,12 +411,4 @@
 			</Filter>
 			<Filter
-				Name="particle"
-				>
-				<File
-					RelativePath="..\..\src\orxonox\particle\ParticleInterface.cc"
-					>
-				</File>
-			</Filter>
-			<Filter
 				Name="tools"
 				>
@@ -416,13 +426,17 @@
 				</File>
 				<File
+					RelativePath="..\..\src\orxonox\tools\ParticleInterface.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\orxonox\tools\TextureGenerator.cc"
+					>
+				</File>
+				<File
 					RelativePath="..\..\src\orxonox\tools\Timer.cc"
 					>
 				</File>
-			</Filter>
-			<Filter
-				Name="console"
-				>
-				<File
-					RelativePath="..\..\src\orxonox\console\InGameConsole.cc"
+				<File
+					RelativePath="..\..\src\orxonox\tools\WindowEventListener.cc"
 					>
 				</File>
@@ -452,4 +466,60 @@
 				</File>
 			</Filter>
+			<Filter
+				Name="overlays"
+				>
+				<File
+					RelativePath="..\..\src\orxonox\overlays\OrxonoxOverlay.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\orxonox\overlays\OverlayGroup.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\orxonox\overlays\OverlayText.cc"
+					>
+				</File>
+				<Filter
+					Name="console"
+					>
+					<File
+						RelativePath="..\..\src\orxonox\overlays\console\InGameConsole.cc"
+						>
+					</File>
+				</Filter>
+				<Filter
+					Name="hud"
+					>
+					<File
+						RelativePath="..\..\src\orxonox\overlays\hud\HUDBar.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\overlays\hud\HUDNavigation.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\overlays\hud\HUDRadar.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\overlays\hud\HUDSpeedBar.cc"
+						>
+					</File>
+				</Filter>
+				<Filter
+					Name="debug"
+					>
+					<File
+						RelativePath="..\..\src\orxonox\overlays\debug\DebugFPSText.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\overlays\debug\DebugRTRText.cc"
+						>
+					</File>
+				</Filter>
+			</Filter>
 		</Filter>
 		<Filter
@@ -475,35 +545,19 @@
 			</File>
 			<File
+				RelativePath="..\..\src\orxonox\Radar.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\orxonox\RadarListener.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\orxonox\RadarViewable.h"
+				>
+			</File>
+			<File
 				RelativePath="..\..\src\orxonox\Settings.h"
 				>
 			</File>
-			<Filter
-				Name="hud"
-				>
-				<File
-					RelativePath="..\..\src\orxonox\hud\BarOverlayElement.h"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\orxonox\hud\HUD.h"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\orxonox\hud\Navigation.h"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\orxonox\hud\OverlayElementFactories.h"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\orxonox\hud\RadarObject.h"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\orxonox\hud\RadarOverlayElement.h"
-					>
-				</File>
-			</Filter>
 			<Filter
 				Name="objects"
@@ -514,4 +568,12 @@
 				</File>
 				<File
+					RelativePath="..\..\src\orxonox\objects\Backlight.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\orxonox\objects\BillboardProjectile.h"
+					>
+				</File>
+				<File
 					RelativePath="..\..\src\orxonox\objects\Camera.h"
 					>
@@ -522,8 +584,4 @@
 				</File>
 				<File
-					RelativePath="..\..\src\orxonox\objects\Explosion.h"
-					>
-				</File>
-				<File
 					RelativePath="..\..\src\orxonox\objects\Model.h"
 					>
@@ -531,4 +589,12 @@
 				<File
 					RelativePath="..\..\src\orxonox\objects\NPC.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\orxonox\objects\ParticleProjectile.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\orxonox\objects\ParticleSpawner.h"
 					>
 				</File>
@@ -591,12 +657,4 @@
 			</Filter>
 			<Filter
-				Name="particle"
-				>
-				<File
-					RelativePath="..\..\src\orxonox\particle\ParticleInterface.h"
-					>
-				</File>
-			</Filter>
-			<Filter
 				Name="tools"
 				>
@@ -614,13 +672,17 @@
 				</File>
 				<File
+					RelativePath="..\..\src\orxonox\tools\ParticleInterface.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\orxonox\tools\TextureGenerator.h"
+					>
+				</File>
+				<File
 					RelativePath="..\..\src\orxonox\tools\Timer.h"
 					>
 				</File>
-			</Filter>
-			<Filter
-				Name="console"
-				>
-				<File
-					RelativePath="..\..\src\orxonox\console\InGameConsole.h"
+				<File
+					RelativePath="..\..\src\orxonox\tools\WindowEventListener.h"
 					>
 				</File>
@@ -633,4 +695,60 @@
 					>
 				</File>
+			</Filter>
+			<Filter
+				Name="overlays"
+				>
+				<File
+					RelativePath="..\..\src\orxonox\overlays\OrxonoxOverlay.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\orxonox\overlays\OverlayGroup.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\orxonox\overlays\OverlayText.h"
+					>
+				</File>
+				<Filter
+					Name="hud"
+					>
+					<File
+						RelativePath="..\..\src\orxonox\overlays\hud\HUDBar.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\overlays\hud\HUDNavigation.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\overlays\hud\HUDRadar.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\overlays\hud\HUDSpeedBar.h"
+						>
+					</File>
+				</Filter>
+				<Filter
+					Name="console"
+					>
+					<File
+						RelativePath="..\..\src\orxonox\overlays\console\InGameConsole.h"
+						>
+					</File>
+				</Filter>
+				<Filter
+					Name="debug"
+					>
+					<File
+						RelativePath="..\..\src\orxonox\overlays\debug\DebugFPSText.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\overlays\debug\DebugRTRText.h"
+						>
+					</File>
+				</Filter>
 			</Filter>
 		</Filter>
Index: code/branches/input/visual_studio/vc8/tixml.vcproj
===================================================================
--- code/branches/input/visual_studio/vc8/tixml.vcproj	(revision 1546)
+++ code/branches/input/visual_studio/vc8/tixml.vcproj	(revision 1629)
@@ -73,5 +73,5 @@
 			InheritedPropertySheets="$(SolutionDir)base_properties_release.vsprops;..\tixml_properties.vsprops"
 			CharacterSet="1"
-			WholeProgramOptimization="1"
+			WholeProgramOptimization="0"
 			>
 			<Tool
Index: code/branches/input/visual_studio/vc8/tolua.vcproj
===================================================================
--- code/branches/input/visual_studio/vc8/tolua.vcproj	(revision 1546)
+++ code/branches/input/visual_studio/vc8/tolua.vcproj	(revision 1629)
@@ -73,5 +73,5 @@
 			InheritedPropertySheets="$(SolutionDir)base_properties_release.vsprops;..\tolua_properties.vsprops"
 			CharacterSet="1"
-			WholeProgramOptimization="1"
+			WholeProgramOptimization="0"
 			>
 			<Tool
Index: code/branches/input/visual_studio/vc8/util.vcproj
===================================================================
--- code/branches/input/visual_studio/vc8/util.vcproj	(revision 1546)
+++ code/branches/input/visual_studio/vc8/util.vcproj	(revision 1629)
@@ -82,5 +82,5 @@
 			InheritedPropertySheets="$(SolutionDir)base_properties_release.vsprops;..\util_properties.vsprops"
 			CharacterSet="1"
-			WholeProgramOptimization="1"
+			WholeProgramOptimization="0"
 			>
 			<Tool
